% data taken for temperature of glass envelope of my desk lamp at home
% 75W light bulb
% temperature in degrees Centigrade, measured with thermocouple
% data taken at 5 sec intervals (yeah, that's a lot of points)
% bulb turned on at t=0
% bulb turned off at t= 655 sec
% I bumped the test lead at about 1130 sec; corresponding bump in data results
% D L Trumper 8/24/2004


bulbtemp1 = [29
     35
     42
     47
     51
     55
     58
     61
     64
     67
     70
     72
     74
     77
     79
     82
     84
     86
     88
     89
     91
     93
     95
     96
     98
     99
     101
     102
     104
     105
     107
     108
     109
     110
     111
     113
     114
     115
     116
     117
     118
     119
     119
     121
     121
     122
     123
     123
     125
     125
     126
     126
     127
     128
     128
     129
     129
     130
     130
     131
     131
     132
     132
     133
     133
     134
     134
     135
     135
     136
     136
     136
     136
     137
     137
     137
     137
     138
     138
     138
     139
     139
     139
     140
     140
     140
     141
     141
     141
     141
     141
     142
     142
     142
     142
     143
     143
     143
     143
     143
     143
     143
     143
     144
     144
     144
     144
     144
     145
     145
     145
     145
     145
     145
     145
     145
     145
     146
     146
     146
     146
     146
     146
     146
     146
     146
     146
     146
     146
     146
     146
     146
     146
     146
     140
     134
     129
     125
     122
     119
     115
     113
     110
     107
     104
     102
     99
     97
     95
     93
     91
     89
     88
     85
     84
     82
     80
     78
     77
     76
     74
     73
     72
     70
     69
     68
     66
     65
     64
     63
     62
     61
     60
     59
     58
     58
     57
     56
     55
     55
     54
     53
     52
     52
     51
     51
     50
     50
     49
     49
     48
     47
     47
     47
     46
     46
     45
     45
     45
     44
     44
     44
     43
     43
     43
     42
     42
     42
     41
     41
     41
     41
     41
     40
     40
     40
     39
     39
     39
     39
     39
     38
     38
     38
     38
     38
     37
     37
     35
     34
     34
     34
     34
     34
     34
     34
     34
     34
     34
     34
     33
     33
     33
     34
     33
     33
     33
     33
     33
     33
     33
     33
     33
     33
     33
     33
     33
     33
     33
     33
     32
     32
     33
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     32
     31
     31
     32
     32
     31
     32
     31
     31
     31
     32
     31
     31
     31
     31
     31
     31
     31
     31
     31];

     [m,n] = size(bulbtemp1);
     t = 5*[0:m-1];  % data taken at 5 second intervals

     figure(1)
     clf
     % ambient temperature is 29 C
     % subtract from bulb temp in plot
     % overlay model data plots on experimental data
     plot(t,(bulbtemp1-29),'*')
     axis([0 1600 0 120])
     xlabel('Time (sec)');
     ylabel('Temperature rise above ambient [C]')
     title('Light bulb temperature rise versus time')